return {
    'saghen/blink.cmp',
    dependencies = {
        'rafamadriz/friendly-snippets',
        'mikavilpas/blink-ripgrep.nvim',
    },

    version = '*',
    opts = {
        appearance = {
            use_nvim_cmp_as_default = true,
            nerd_font_variant = 'mono'
        },

        sources = {
            default = {
                'lsp',
                'path',
                'snippets',
                'buffer',
            },

        },
        completion = {
            menu = {
                winblend = vim.o.pumblend,
            },
        },
        signature = {
            enabled = true,
            window = {
                winblend = vim.o.pumblend,
            },
        },
    },
    opts_extend = { "sources.default" }
}
